# TdApi.Notification (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: Notification

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Notification

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Notification

Enclosing class:
  TdApi

public static final class TdApi.Notification extends TdApi.Object
Contains information about a notification.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`date`
Notification date.
`int`
`id`
Unique persistent identifier of this notification.
`boolean`
`isSilent`
True, if the notification was explicitly sent without sound.
`TdApi.NotificationType`
`type`
Notification type.

## Constructor Summary

Constructors
Constructor
Description
`Notification()`
Contains information about a notification.
`Notification(int id, int date, boolean isSilent, TdApi.NotificationType type)`
Contains information about a notification.
`Notification(DataInput input)`
Contains information about a notification.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
Unique persistent identifier of this notification.

### date

public int date
Notification date.

### isSilent

public boolean isSilent
True, if the notification was explicitly sent without sound.

### type

public TdApi.NotificationType type
Notification type.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### Notification

public Notification()
Contains information about a notification.

### Notification

public Notification(int id, int date, boolean isSilent, TdApi.NotificationType type)
Contains information about a notification.

Parameters:
  `id` - int Unique persistent identifier of this notification.
  `date` - int Notification date.
  `isSilent` - boolean True, if the notification was explicitly sent without sound.
  `type` - NotificationType Notification type.

### Notification

public Notification(DataInput input) throws IOException
Contains information about a notification.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`